Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617957 - deployUtil uses deprecated classes
deployUtil uses deprecated classes
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Kenigsberg
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 05:35 EDT by Dan Kenigsberg
Modified: 2013-03-12 06:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 06:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2010-07-25 05:35:06 EDT
Description of problem:
When running on RHEL6 (python 2.6) we get
 /tmp/deployUtil.py:508:
   DeprecationWarning: socket.ssl() is deprecated.  Use ssl.wrap_socket()
 instead.
 * ERROR - Installation of infra-vdsa.qa.lab.tlv.redhat.com. Error:
 /tmp/deployUtil.py:509:
   DeprecationWarning: FakeSocket is deprecated, and won't be in 3.x.  Use
 the result of
   ssl.wrap_socket() directly instead.

That's pretty harmless for the following 4 years, but not so pretty either.
Comment 1 Dan Kenigsberg 2010-08-01 15:17:49 EDT
We cannot just use ssl.wrap_socket(), as it is not available in python 2.4 which we still support. We could have conditioned the usage of ssl on its availability, but this complexity is a bit of an overkill for hiding a warning.

I suggest pushing this bug to a time where we no longer need to support RHEL5-based hosts.
Comment 2 Dan Kenigsberg 2013-03-12 06:31:57 EDT
with the move to otopi and ovirt-host-deploy, we are not going to fix deployUtil.

Note You need to log in before you can comment on or make changes to this bug.